"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mountComposableFunction = void 0;
const vue_1 = require("vue");
const test_utils_1 = require("@vue/test-utils");
function mountComposableFunction(composableFunctionCreator) {
    const Child = {
        setup() {
            const result = composableFunctionCreator();
            const wrapper = () => result;
            return { wrapper };
        },
        template: '<div />'
    };
    const wrapper = (0, test_utils_1.mount)({
        render() {
            return (0, vue_1.h)(Child, { ref: "child" });
        },
    });
    return {
        data: wrapper.vm.$refs.child.wrapper(),
        nextTick: wrapper.vm.$nextTick,
    };
}
exports.mountComposableFunction = mountComposableFunction;
